clear; close;

load('bt.mat');
avg_result = (avg_result1 + avg_result2 + avg_result3 + avg_result4)/4;
x = [512, 1024, 1536, 2048,2560,3072,3584,4096,4608,5120];
y2 = avg_result(:,1)'+ones(1,10);
load('btt.mat');
y1 = avg_time-100*ones(1,10);

figure;
subplot(2,1,1);
plot(x,y1,'b*-'); axis auto; xlabel('Block length(samples)');ylabel('Time consuming(seconds)');
gtext({'Required time for separating four speech sources'});
subplot(2,1,2);
plot(x,y2,'b*-'); axis auto; xlabel('Block length(samples)');ylabel('Performance(dB)');
gtext({'Separation performance in terms of average SDR'
    'for four speech sources'});

% plot(x,y1,'b*-'); axis([0 6000 0 500]); xlabel('Block length(samples)');ylabel('Time consuming(seconds)');
% gtext({'Required time for separating four speech sources'});
% subplot(2,1,2);
% plot(x,y2,'b*-'); axis([0 6000 0 10]); xlabel('Block length(samples)');ylabel('Performance(dB)');
% gtext({'Separation performance in terms of average SDR for four speech sources'});
